Bug 1470982 - M->N upgrade does not trigger errors even if there is a failure on the init step
M->N upgrade does not trigger errors even if there is a failure on the init step
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Sofer Athlan-Guyot
Arik Chernetsky
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 04:18 EDT by Yolanda Robla
Modified: 2018-06-09 21:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
os-collect-config log on compute (8.07 MB, text/plain)
2017-07-14 04:32 EDT, Yolanda Robla
no flags Details
os-collect-config log on controller (17.16 MB, text/plain)
2017-07-14 04:39 EDT, Yolanda Robla
no flags Details

  None (edit)
Description Yolanda Robla 2017-07-14 04:18:24 EDT
Description of problem:

During the upgrade of M->N, there was an error recorded in computes:

Jul 13 12:56:54 overcloud-compute-0.localdomain os-collect-config[1049]: [2017-07-13 12:56:54,861] (heat-config) [INFO] {"deploy_stdout": "Repository 'rhel-7-server-openstack-9-director-rpms' is disabled for this system.\nRepository 'rhel-7-server-rhceph-1.3-mon-rpms' is disabled for this system.\nRepository 'rhel-7-server-rhceph-1.3-tools-rpms' is disabled for this system.\nRepository 'rhel-7-server-rhceph-1.3-osd-rpms' is disabled for this system.\nRepository 'rhel-7-server-openstack-9-rpms' is disabled for this system.\nRepository 'rhel-7-server-rhceph-2-tools-rpms' is enabled for this system.\nRepository 'rhel-7-server-openstack-10-rpms' is enabled for this system.\nRepository 'rhel-7-server-rhceph-2-osd-rpms' is enabled for this system.\nRepository 'rhel-7-server-rhceph-2-mon-rpms' is enabled for this system.\nLoaded plugins: product-id, search-disabled-repos, subscription-manager\nNo package rhosp-release available.\n", "deploy_stderr": "Error: Nothing to do\n", "deploy_status_code": 1}

Even with that, the init step continued without any error. This error was only recorded on the compute node, not on the controllers
Comment 1 Yolanda Robla 2017-07-14 04:32 EDT
Created attachment 1298184 [details]
os-collect-config log on compute
Comment 2 Yolanda Robla 2017-07-14 04:39 EDT
Created attachment 1298199 [details]
os-collect-config log on controller

Note You need to log in before you can comment on or make changes to this bug.